﻿using System;
using System.Windows.Forms;
using System.Drawing;
using System.IO;

namespace SelfUpdater
{
	public class MainForm : Form
	{
		Button button1 = new Button();

		public MainForm ()
		{
			this.Size = new Size (200, 150);

			this.button1.Text = "Update Myself";
			this.button1.Anchor = AnchorStyles.None;
			this.button1.Click += Button1_Click;
			this.button1.AutoSize = true;

			this.Controls.Add(button1);

			this.button1.Left = (this.ClientSize.Width - this.button1.Width) / 2;
			this.button1.Top = (this.ClientSize.Height - this.button1.Height) / 2;

			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Self Updater";
		}

		void Button1_Click (object sender, EventArgs e)
		{
			var buffer = File.ReadAllBytes (System.Reflection.Assembly.GetExecutingAssembly ().Location);
			Updater.UpdateSelf (buffer);
		}
	}

	public class Program
	{
		public static void Main(string[] args) {
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm ());
		}
	}
}

